#!/usr/bin/env python

import sys
from pyraf import iraf

iraf.stdimage = 'imt4096'

i=1
for fits in ('SUPA00207540.fits','SUPA00207541.fits','SUPA00207542.fits', \
                 'SUPA00207543.fits','SUPA00207544.fits','SUPA00207545.fits', \
                 'SUPA00207546.fits','SUPA00207547.fits','SUPA00207548.fits', \
                 'SUPA00207549.fits'):

    iraf.display(fits, i, fill=1, zscale=1, zrange=0, z1=None, z2=None)

    print 'displaying - %s in frame %d' % (fits, i)  # printing formatted values
    i=i+1

# - if you need explicitly catch PyRAF error, do this .. 
#    try:
#        iraf.display(fits, i, fill=1, zscale=1, zrange=0, z1=None, z2=None)
#    except iraf.IrafError, e:
#        print 'IRAF error has been thrown.'
#        print e


print 'done.'
    
        
