#!/usr/bin/env python

import sys
from pyraf import iraf

iraf.stdimage = 'imt4096'

infile=sys.argv[1]    # input from the command argument

i=1
for fits in open(infile):
    fits=fits.strip() # strip the line break etc

    iraf.display(fits, i, fill=1, zscale=1, zrange=0, z1=None, z2=None)

    print 'displaying - %s in frame %d' % (fits, i)
    i=i+1

# - When you would like to capture errors in PyRAF task, do like this: 
#    try:
#       iraf.display(fits, i, fill=1, zscale=1, zrange=0, z1=None, z2=None)
#    except iraf.IrafError, e:
#        print 'IRAF error has been thrown.'
#        print e

print 'done.'


        
