#!/usr/bin/env python

"""
usage: ffield1.py  osslist  flat0.fits
"""

import sys
from pyraf import iraf

def ffield(infits, flat, outfits): 

    # -- divide the input image by flat image

    print 'executing %s / %s = %s' % (infits, flat, outfits)
    iraf.imarith(infits, '/', flat, outfits)

    print 'ffield() - done.'


def main():
    if len(sys.argv) != 3:
        print __doc__
        sys.exit(0)

    osslist=sys.argv[1]
    flat=sys.argv[2]

    for infits in open(osslist):
        infits=infits.strip()
        outfits='flt_'+infits

        ffield(infits, flat, outfits)
    

# --- this is the main part ---
if __name__ == "__main__":
    main()
