#!/usr/bin/env python

import sys
from pyraf import iraf

# 1. collect nrm_oss_SUPA*.fits  --> fitslist 
# 2. stack filelist to a flat file --> flat0.fits


def comb(osslist, outflat):

    # -- 1. creating a list of nrm frames

####    osslist = sys.argv[1]  #  osslist is the same input file which is used in norm.py
####    outflat = sys.argv[2]  #  output flat file name given by the 2nd argument

    fitslist = []
    for fits in open(osslist):
        nrmfits='nrm_' + fits.strip()
        fitslist.append(nrmfits)      # add this nrm fits name to the fitslist
    fitslist = ','.join(fitslist)     # imcombine only accepts 'file1,file2,file3,...'

    print 'input fitslist: ', fitslist

    # -- 2. stack the fits files to a flat 

    print 'stacking - ', fitslist, ' into ', outflat

    iraf.imcombine(fitslist, combine='median', output=outflat)

    print 'comb() - done.'
