#!/usr/bin/env python

import sys
from pyraf import iraf

def norm(oss_fitslist): # <-- definition of function

    norm_fitslist=[]   # for output

    for infits in open(oss_fitslist):

        infits=infits.strip()
        outfits='nrm_'+infits
        norm_fitslist.append(outfits)

        # -- measure median of the sky background counts

        med=iraf.imstat(infits, fields='midpt', Stdout=1)
        med=float(med[1])
        print 'infits=%s: median=%f' % (infits, med)

        # -- divide the input image by the median  

        print 'executing %s / %f = %s' % (infits, med, outfits)
        iraf.imarith(infits, '/', med, outfits)


    print 'done.'

    return norm_fitslist  # list of norm fits names is output
